Package org.apache.commons.math3.ml.clustering

# Class Cluster<T extends Clusterable>

java.lang.Object
org.apache.commons.math3.ml.clustering.Cluster<T>

Type Parameters:
  `T` - the type of points that can be clustered

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CentroidCluster`

public class Cluster<T extends Clusterable> extends Object implements Serializable
Cluster holding a set of `Clusterable` points.

Since:
  3.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Cluster()`
Build a cluster centered at a specified point.

## Method Summary

Modifier and Type
Method
Description
`void`
`addPoint(T point)`
Add a point to this cluster.
`List<T>`
`getPoints()`
Get the points contained in the cluster.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Cluster

public Cluster()
Build a cluster centered at a specified point.

## Method Details

### addPoint

public void addPoint(T point)
Add a point to this cluster.

Parameters:
  `point` - point to add

### getPoints

public List<T> getPoints()
Get the points contained in the cluster.

Returns:
  points contained in the cluster